import { defineComponent, mergeProps, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderClass } from "vue/server-renderer";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ElSpinner",
  __ssrInlineRender: true,
  props: {
    width: { type: String, default: "" },
    colorMode: { type: String, default: "primary" }
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "spinner max-w-sm" }, _attrs))}><svg class="ring-circular h-full w-full origin-center" viewBox="25 25 50 50"><circle class="${ssrRenderClass([__props.colorMode, "ring-path"])}" cx="50" cy="50" r="20" fill="none" stroke="currentColor" stroke-width="5" stroke-miterlimit="30"></circle></svg></div>`);
    };
  }
});
const ElSpinner_vue_vue_type_style_index_0_lang = "";
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("../ui/ElSpinner.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
